package com.clx.performance.event;

import com.clx.performance.dto.OwnerLoanMqDTO;
import org.springframework.context.ApplicationEvent;

public class OwnerLoanEvent extends ApplicationEvent {


    private OwnerLoanMqDTO param;


    /**
     * Create a new {@code ApplicationEvent}.
     *
     * @param source the object on which the event initially occurred or with
     *               which the event is associated (never {@code null})
     */
    public OwnerLoanEvent(Object source) {
        super(source);
    }

    public OwnerLoanEvent(Object source, OwnerLoanMqDTO param) {
        super(source);
        this.param = param;
    }

    public OwnerLoanMqDTO getParam() {
        return param;
    }

    public void setParam(OwnerLoanMqDTO param) {
        this.param = param;
    }
}
